com.h3c.util.filter

## Class SetCondition<D>

- java.lang.Object
- - com.h3c.util.filter.SetCondition<D>

- Type Parameters:
    `D` - type of the attribute to apply the condition to.
  All Implemented Interfaces:
    Serializable

      public class SetCondition<D>
      extends Object
      implements Serializable

  Set Condition.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SetCondition.Mode` Condition mode.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetCondition(Set<D> values, SetCondition.Mode mode)` Creates a new set condition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `SetCondition.Mode` | `getMode()` Gets the mode related to this condition.
    `Set<D>` | `getValues()` Gets the values associated with this condition.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SetCondition

          public SetCondition(Set<D> values,
                      SetCondition.Mode mode)

      Creates a new set condition.
      Parameters:
        `values` - values to apply the condition against.
        `mode` - the mode to use the condition in.

  - ### Method Detail

    - #### getValues

          public Set<D> getValues()

      Gets the values associated with this condition.
      Returns:
        the condition value set.

    - #### getMode

          public SetCondition.Mode getMode()

      Gets the mode related to this condition.
      Returns:
        the condition mode of operation.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.